For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList client tokens
      • POSTCreate client token
      • GETGet client token
      • PUTUpdate client token
      • DELDelete client token
      • GETGet client token value
      • POSTRegenerate client token
      • GETList conversations for client token
Dashboard
LogoLogo
Runtype APIClient Tokens

Delete client token

DELETE
/v1/client-tokens/:id
DELETE
/v1/client-tokens/:id
$curl -X DELETE https://api.runtype.com/v1/client-tokens/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true,
3 "message": "Client token with ID 'a1b2c3d4e5f6' has been successfully deleted."
4}
Delete a client token by ID.
Was this page helpful?
Previous

Get client token value

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Client token deleted
successboolean
messagestring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error